%define glib2_version 2.6.0
%define pango_version 1.2.0
%define gtk2_version 2.6.0
%define libgnome_version 2.8.0
%define libgnomeui_version 2.8.0
%define gnome_vfs_version 2.8.0
%define libglade_version 2.4.0
%define gnome_panel_version 2.13.4
%define libgtop2_version 2.12.0
%define gail_version 1.2.0
%define libbonoboui_version 2.3.0
%define gstreamer_plugins_version 0.10
%define gstreamer_version 0.10
%define libxklavier_version 2.91
%define libwnck_version 2.9.3
%define libgnome_desktop_version 2.11.1
%define gnome_utils_version 2.8.1
%define dbus_version 0.90
%define dbus_glib_version 0.70
%define hal_version 0.5.3
%define libnotify_version 0.3.2
%define pygobject_version 2.6
%define pygtk_version 2.6
%define gnome_python_version 2.10
%define gconf_version 2.14.0

%define po_package gnome-applets-2.0

%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define build_stickynotes 1

Summary:        Small applications for the GNOME panel
Name:     	gnome-applets
Version: 	2.16.0.1
Release:  	19%{?dist}
Epoch:          1
License:	GPL
Group:          User Interface/Desktops
Source: 	ftp://ftp.gnome.org/pub/gnome/sources/%{name}/2.1/%{name}-%{version}.tar.bz2
Source1:	gnome-applets-2.9.3.1-modemlights.tar.bz2
Patch0:		gnome-applets-2.15.2-use-old-modemlights.patch
Patch2:		gnome-applets-2.10.1-use-builtin-apm.patch
Patch3:		gnome-applets-2.3.6-ppp-command.patch
Patch4:		gnome-applets-2.15.1.1-cpufreq.patch
Patch11:        gnome-applets-2.15.1.1-dont-require-display.patch

# http://bugzilla.gnome.org/show_bug.cgi?id=352777
Patch16: keyboard-drawing-rotated-text.patch
# http://bugzilla.gnome.org/show_bug.cgi?id=352778
Patch17: keyboard-drawing-label-color.patch
# http://bugzilla.gnome.org/show_bug.cgi?id=352779
Patch18: keyboard-drawing-primary.patch
# http://bugzilla.gnome.org/show_bug.cgi?id=352781
Patch19: keyboard-drawing-corner.patch
# http://bugzilla.gnome.org/show_bug.cgi?id=353163
Patch20: keyboard-drawing-redraw.patch

# https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=204858
Patch21: gnome-applets-2.15.90-poll-less.patch

# http://bugzilla.gnome.org/show_bug.cgi?id=354986
Patch22: gnome-applets-2.16.0.1-mixer-icon-size.patch

# http://bugzilla.gnome.org/show_bug.cgi?id=355223 
Patch23: gnome-applets-2.16.0.1-desktop-clicks.patch

# http://bugzilla.gnome.org/show_bug.cgi?id=356138
Patch24: gnome-applets-2.16.0.1-trash-icon-size.patch

# http://bugzilla.gnome.org/show_bug.cgi?id=356536
Patch25: gnome-applets-2.16.0.1-keyboard-indicator-segfault.patch

Patch26: gnome-applets-2.16.0.1-cpufreq-changes.patch
Patch27: gnome-applets-2.16.0.1-goog.patch

# https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=218314
Patch28: gnome-applets-2.16.0.1-delay-gstreamer-initialization.patch

# https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=219807
Patch29: gnome-applets-2.16.0-fix-null-applet.patch

URL:		http://www.gnome.org/

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Prereq:         scrollkeeper >= 0.1.4
Prereq:         gtk2 >= %{gtk2_version}
BuildRequires:  glib2-devel >= %{glib2_version}
BuildRequires:  gtk2-devel >= %{gtk2_version}
BuildRequires:  libgnomeui-devel >= %{libgnomeui_version}
BuildRequires:  libgnome-devel >= %{libgnome_version}
BuildRequires:  gnome-vfs2-devel >= %{gnome_vfs_version}
BuildRequires:  gnome-panel-devel >= %{gnome_panel_version}
BuildRequires:  libglade2-devel >= %{libglade_version}
BuildRequires:  libgtop2-devel >= %{libgtop2_version}
BuildRequires:  pango-devel >= %{pango_version}
BuildRequires:  gail-devel >= %{gail_version}
BuildRequires:  libxklavier-devel >= %{libxklavier_version}
BuildRequires:  gstreamer-devel >= %{gstreamer_version}
BuildRequires:  gstreamer-plugins-base-devel >= %{gstreamer_plugins_version}
BuildRequires:  gstreamer-plugins-good-devel >= %{gstreamer_plugins_version}
BuildRequires:  /usr/bin/automake
BuildRequires:  libbonoboui-devel >= %{libbonoboui_version}
BuildRequires:  libwnck-devel >= %{libwnck_version}
BuildRequires:  gnome-desktop-devel >= %{libgnome_desktop_version}
BuildRequires:  gnome-utils >= %{gnome_utils_version}
BuildRequires:  hal-devel >= %{hal_version}
BuildRequires:  libnotify-devel >= %{libnotify_version}
BuildRequires:  pygobject2-devel >= %{pygobject_version}
BuildRequires:  pygtk2-devel >= %{pygtk_version}
BuildRequires:  gnome-python2 >= %{gnome_python_version}
BuildRequires:  gnome-python2-applet
BuildRequires:  gucharmap-devel

BuildRequires:  dbus-devel >= %{dbus_version}
BuildRequires:  dbus-glib-devel >= %{dbus_glib_version}
BuildRequires:  xorg-x11-proto-devel
BuildRequires:  gnome-doc-utils
BuildRequires:  which
BuildRequires:  libtool autoconf gettext
BuildRequires:  pkgconfig
BuildRequires:  gnome-icon-theme 
BuildRequires:  perl-XML-Parser

Requires:	gnome-panel >= %{gnome_panel_version}
Requires:	libxklavier >= %{libxklavier_version}
Requires:	gstreamer-plugins-base >= %{gstreamer_plugins_version}
Requires:	gstreamer-plugins-good >= %{gstreamer_plugins_version}
Requires(post): GConf2 >= %{gconf_version}
Requires(pre): GConf2 >= %{gconf_version}
Requires(preun): GConf2 >= %{gconf_version}
Requires(post): scrollkeeper

# For wireless-applet backwards compat
Requires:       gnome-netstatus >= 2.8.0-2

# For cpufreq-selector
Requires:	usermode
Source10:	cpufreq-selector.app
Source11:	cpufreq-selector.pam

# For invest-applet
Requires: gnome-python2-applet
Requires: gnome-python2-libegg

Obsoletes:      battstat_applet
Obsoletes:      gnome-cpufreq-applet

# since we are installing .pc files
Requires: pkgconfig

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window
manager for the X Window System. The gnome-applets package provides
small utilities for the GNOME panel.

%prep
%setup -q
%patch0 -p1 -b .use-old-modemlights
%patch2 -p1 -b .use-builtin-apm
%patch4 -p1 -b .cpufreq
%patch11 -p1 -b .dont-require-display

%patch16 -p1 -b .rotated-text
%patch17 -p1 -b .label-color
%patch18 -p1 -b .primary
%patch19 -p1 -b .corner
%patch20 -p1 -b .redraw

%patch21 -p1 -b .poll-less
%patch22 -p1 -b .mixer-icon-size
%patch23 -p1 -b .desktop-clicks
%patch24 -p1 -b .trash-icon-size
%patch25 -p1 -b .keyboard-indicator-segfault
%patch26 -p1 -b .cpufreq-changes
%patch27 -p1 -b .goog
%patch28 -p1 -b .delay-gstreamer-initialization
%patch29 -p1 -b .fix-null-applet

cp gswitchit/gswitchit-applet.png  gswitchit/gswitchit-properties-capplet.png

# We don't ship gnome-system-tools
rm -rf modemlights
tar xjf %{SOURCE1}

%patch3 -p1 -b .ppp-command

autoconf

%build
sed -i -e "/GNOME_COMPILE_WARNINGS/d" configure.in
autoreconf
%configure			\
	--enable-suid=no 	\
%if %{build_stickynotes}
	--enable-stickynotes	\
%endif
	--disable-scrollkeeper 	\
	--enable-mini-commander 
make

echo "NoDisplay=true" >> libgswitchit/gswitchit-plugins.desktop
echo "NoDisplay=true" >> invest-applet/data/invest-chart.desktop

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang %{po_package}

# Clean up unpackaged files
rm -rf $RPM_BUILD_ROOT%{_localstatedir}/scrollkeeper
rm -rf $RPM_BUILD_ROOT%{_libdir}/libgweather.la
rm -rf $RPM_BUILD_ROOT%{_libdir}/libgweather.a

desktop-file-install --vendor gnome --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-only-show-in GNOME                                  \
  $RPM_BUILD_ROOT%{_datadir}/applications/*

# usermode-ify cpufreq-selector
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mv $RPM_BUILD_ROOT%{_bindir}/cpufreq-selector $RPM_BUILD_ROOT%{_sbindir}
ln -s consolehelper $RPM_BUILD_ROOT%{_bindir}/cpufreq-selector
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/{pam.d,security/console.apps}
install -m 644 %{SOURCE10} $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/cpufreq-selector
install -m 644 %{SOURCE11} $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/cpufreq-selector

# remove battstat applet since we have gpm (bug 216897)
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas/battstat.schemas
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/sound/events/battstat_applet.soundlist
rm -f $RPM_BUILD_ROOT%{_datadir}/gnome-2.0/ui/GNOME_BattstatApplet.xml
rm -f $RPM_BUILD_ROOT%{_datadir}/gnome-applets/glade/battstat_applet.glade
rm -rf $RPM_BUILD_ROOT%{_datadir}/gnome/help/battstat
rm -rf $RPM_BUILD_ROOT%{_datadir}/omf/battstat
rm -f $RPM_BUILD_ROOT%{_libexecdir}/battstat-applet-2
sed -i -e 's/type="exe"/type="factory"/' -e 's/location=".*"/location="OAFIID:GNOME_NullApplet_Factory"/' -e '/panel:icon/d' $RPM_BUILD_ROOT%{_libdir}/bonobo/servers/GNOME_BattstatApplet.server

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
scrollkeeper-update
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule                                        \
	    %{_sysconfdir}/gconf/schemas/charpick.schemas                  \
	    %{_sysconfdir}/gconf/schemas/cpufreq-applet.schemas            \
	    %{_sysconfdir}/gconf/schemas/drivemount.schemas                \
	    %{_sysconfdir}/gconf/schemas/geyes.schemas                     \
	    %{_sysconfdir}/gconf/schemas/gswitchit.schemas                 \
	    %{_sysconfdir}/gconf/schemas/gweather.schemas                  \
	    %{_sysconfdir}/gconf/schemas/mini-commander-global.schemas     \
	    %{_sysconfdir}/gconf/schemas/mini-commander.schemas            \
	    %{_sysconfdir}/gconf/schemas/mixer.schemas                     \
	    %{_sysconfdir}/gconf/schemas/modemlights.schemas               \
%if %{build_stickynotes}
	    %{_sysconfdir}/gconf/schemas/stickynotes.schemas               \
%endif
	    %{_sysconfdir}/gconf/schemas/multiload.schemas >& /dev/null
%{_libexecdir}/gnome-applets/mc-install-default-macros >& /dev/null || :

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule                                    \
	    %{_sysconfdir}/gconf/schemas/charpick.schemas                  \
	    %{_sysconfdir}/gconf/schemas/cpufreq-applet.schemas            \
	    %{_sysconfdir}/gconf/schemas/drivemount.schemas                \
	    %{_sysconfdir}/gconf/schemas/geyes.schemas                     \
	    %{_sysconfdir}/gconf/schemas/gswitchit.schemas                 \
	    %{_sysconfdir}/gconf/schemas/gweather.schemas                  \
	    %{_sysconfdir}/gconf/schemas/mini-commander-global.schemas     \
	    %{_sysconfdir}/gconf/schemas/mini-commander.schemas            \
	    %{_sysconfdir}/gconf/schemas/mixer.schemas                     \
	    %{_sysconfdir}/gconf/schemas/modemlights.schemas               \
%if %{build_stickynotes}
	    %{_sysconfdir}/gconf/schemas/stickynotes.schemas               \
%endif
	    %{_sysconfdir}/gconf/schemas/multiload.schemas >& /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule                                    \
	    %{_sysconfdir}/gconf/schemas/charpick.schemas                  \
	    %{_sysconfdir}/gconf/schemas/cpufreq-applet.schemas            \
	    %{_sysconfdir}/gconf/schemas/drivemount.schemas                \
	    %{_sysconfdir}/gconf/schemas/geyes.schemas                     \
	    %{_sysconfdir}/gconf/schemas/gswitchit.schemas                 \
	    %{_sysconfdir}/gconf/schemas/gweather.schemas                  \
	    %{_sysconfdir}/gconf/schemas/mini-commander-global.schemas     \
	    %{_sysconfdir}/gconf/schemas/mini-commander.schemas            \
	    %{_sysconfdir}/gconf/schemas/mixer.schemas                     \
	    %{_sysconfdir}/gconf/schemas/modemlights.schemas               \
%if %{build_stickynotes}
	    %{_sysconfdir}/gconf/schemas/stickynotes.schemas               \
%endif
	    %{_sysconfdir}/gconf/schemas/multiload.schemas >& /dev/null || :
fi

%postun 
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%files -f %{po_package}.lang
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{_datadir}/pixmaps
%{_datadir}/icons/hicolor/16x16/apps/*
%{_datadir}/icons/hicolor/22x22/apps/*
%{_datadir}/icons/hicolor/24x24/apps/*
%{_datadir}/icons/hicolor/32x32/apps/*
%{_datadir}/icons/hicolor/48x48/apps/*
%{_datadir}/icons/hicolor/scalable/apps/*
%{_datadir}/gnome-2.0/ui/*
%{_datadir}/gnome
%{_datadir}/gnome-applets
%{_datadir}/xmodmap
%{_datadir}/omf/*
%{_datadir}/applications/gnome-invest-chart.desktop
%{_datadir}/applications/gnome-gswitchit-plugins.desktop
%{_bindir}/*
%{_libdir}/bonobo/servers/*
%{python_sitelib}/invest/
%{_libdir}/libgweather.so*
%{_libexecdir}/accessx-status-applet
%{_libexecdir}/charpick_applet2
%{_libexecdir}/cpufreq-applet
%{_libexecdir}/drivemount_applet2
%{_libexecdir}/geyes_applet2
%{_libexecdir}/gnome-applets/
%{_libexecdir}/gnome-keyboard-applet
%{_libexecdir}/gweather-applet-2
%{_libexecdir}/mini_commander_applet
%{_libexecdir}/mixer_applet2
%{_libexecdir}/modemlights_applet2
%{_libexecdir}/multiload-applet-2
%{_libexecdir}/null_applet

%if %{build_stickynotes}
%{_libexecdir}/stickynotes_applet
%endif

%{_libexecdir}/trashapplet
%{_libexecdir}/invest-applet
%{_sbindir}/*
%{_sysconfdir}/gconf/schemas/*
%{_sysconfdir}/pam.d/*
%{_sysconfdir}/security/console.apps/*
%{_sysconfdir}/sound

# These are really devel files, but we don't want a devel package
# for just three files
%{_includedir}/libgswitchit
%{_libdir}/pkgconfig/gswitchit.pc
%{_includedir}/libgweather
%{_libdir}/pkgconfig/gweather.pc

%changelog
* Wed Mar 14 2007 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Fri Dec 15 2006 Ray Strode <rstrode@redhat.com> - 1:2.16.0.1-19
Resolves: #219807
- don't give error on login from applets obsoleted by null
  applet

* Tue Dec 12 2006 Ray Strode <rstrode@redhat.com> - 1:2.16.0.1-18
Resolves: #218314
- fix problem where mixer applet would fail to start for new
  users

* Mon Dec  4 2006 Ray Strode <rstrode@redhat.com> - 1:2.16.0.1-17
Resolves: #216897
- remove battstat applet schema files from %post scriptlets

* Thu Dec  1 2006 Ray Strode <rstrode@redhat.com> - 1:2.16.0.1-16
Resolves: #213755
- change stock ticker to use RHT instead of RHAT

* Thu Dec  1 2006 Ray Strode <rstrode@redhat.com> - 1:2.16.0.1-15
Resolves: #216897
- remove battstat applet (bug 216897)

* Mon Nov  6 2006 Ray Strode <rstrode@redhat.com> - 1:2.16.0.1-14
- %%define dbus_glib_version instead of dbus_glib_verion 
  (bug 214271)

* Fri Nov  3 2006 Matthias Clasen <mclasen@redhat.com> - 1:2.16.0.1-13
- Silence %%pre 

* Thu Nov  2 2006 Matthias Clasen <mclasen@redhat.com> - 1:2.16.0.1-12
- Change the default used in the invest applet (#213755)

* Mon Oct 23 2006 Matthias Clasen <mclasen@redhat.com> - 1:2.16.0.1-11
- Make the cpufreq applet pick up preference changes (#209168)

* Wed Oct 18 2006 Matthias Clasen <mclasen@redhat.com> - 1:2.16.0.1-10
- Fix scripts according to packaging guidelines

* Tue Oct 17 2006 Matthias Clasen <mclasen@redhat.com> - 1:2.16.0.1-9
- Fix up requirements (#202549)

* Sat Oct 14 2006 Matthias Clasen <mclasen@redhat.com> - 1:2.16.0.1-8
- Fix muting in the mixer applet (#208660)

* Sun Oct 01 2006 Jesse Keating <jkeating@redhat.com> - 1:2.16.0.1-7
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Thu Sep 21 2006 Ray Strode <rstrode@redhat.com> - 1:2.16.0.1-6
- Don't ask for password when changing CPU frequency

* Mon Sep 18 2006 Matthias Clasen <mclasen@redhat.com> - 1:2.16.0.1-5
- Fix a segfault in the keyboard indicator applet

* Fri Sep 15 2006 Matthias Clasen <mclasen@redhat.com> - 1:2.16.0.1-4
- Fix some icon size issues in the trash applet

* Sun Sep 10 2006 Matthias Clasen <mclasen@redhat.com> - 1:2.16.0.1-3
- Make stickynotes not wake up 10 times per second (#205909)

* Fri Sep  8 2006 Matthias Clasen <mclasen@redhat.com> - 1:2.16.0.1-2
- Fix the resizing behaviour of the mixer applet

* Mon Sep  4 2006 Matthias Clasen <mclasen@redhat.com> - 1:2.16.0.1-1.fc6
- Update to 2.16.0.1

* Mon Sep  4 2006 Matthias Clasen <mclasen@redhat.com> - 1:2.16.0-1.fc6
- Update to 2.16.0

* Fri Sep  1 2006 Matthias Clasen <mclasen@redhat.com> - 1:2.15.90-6.fc6
- Make the battstat applet poll less often (204858)

* Mon Aug 28 2006 Matthias Clasen <mclasen@redhat.com> - 1:2.15.90-5.fc6
- Make cpufreq-selector use the config-utils pam policy

* Sun Aug 27 2006 Matthias Clasen <mclasen@redhat.com> - 1:2.15.90-4.fc6
- Fix some redraw issues in the keyboard capplet

* Sun Aug 27 2006 Matthias Clasen <mclasen@redhat.com> - 1:2.15.90-3.fc6
- More keyboard drawing improvements

* Thu Aug 24 2006 Matthias Clasen <mclasen@redhat.com> - 1:2.15.90-2.fc6
- Various improvements for the keyboard applet
 
* Tue Aug 22 2006 Matthias Clasen <mclasen@redhat.com> - 1:2.15.90-1.fc6
- Update to 2.15.90
- Drop upstreamed patches
- Add a %%preun script
- Require pkgconfig

* Fri Aug 18 2006 Matthias Clasen <mclasen@redhat.com> - 1:2.15.3-2.fc6
- Make the invest applet work

* Sun Aug 13 2006 Matthias Clasen <mclasen@redhat.com> - 1:2.15.3-1.fc6
- Update to 2.15.3

* Tue Aug  8 2006 Ray Strode <rstrode@redhat.com> - 1:2.15.2-4.fc6
- destroy about dialog on close (bug 197975)

* Sat Aug  5 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.15.2-3.fc6
- rebuild against new gucharmap

* Fri Aug  4 2006 Matthias Clasen <mclasen@redhat.com> - 1:2.15.2-2.fc6
- Fix the multiload schema

* Thu Aug  3 2006 Matthias Clasen <mclasen@redhat.com> - 1:2.15.2-1.fc6
- Update to 2.15.2

* Wed Aug  2 2006 Ray Strode <rstrode@redhat.com> - 1:2.15.1.1-7
- don't require a display to build invest applet (bug 200970).
  Problem discovered by Nalin Dahyabhai <nalin@redhat.com>

* Sat Jul 29 2006 Matthias Clasen <mclasen@redhat.com> - 1:2.15.1.1-6
- Require gnome-python2-libegg for invest applet (#200640)

* Wed Jul 19 2006 John (J5) Palmieri <johnp@redhat.com> - 1:2.15.1.1-5
- Add BR for dbus-glib-devel

* Wed Jul 19 2006 Matthias Clasen <mclasen@redhat.com> - 1:2.15.1.1-4
- Rebuild against dbus

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1:2.15.1.1-3.1
- rebuild

* Fri Jul  7 2006 Matthias Clasen <mclasen@redhat.com> - 1:2.15.1.1-3
- Try to make the invest applet actually work

* Thu Jun 22 2006 Jeremy Katz <katzj@redhat.com> - 1:2.15.1.1-2
- fix invest applet location

* Mon Jun 19 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.1.1-1
- Update to 2.15.1.1

* Thu Jun 15 2006 Matthias Clasen <mclasen@redhat.com> - 2.14.2-5
- Rebuild against new libxklavier

* Thu Jun  8 2006 Matthias Clasen <mclasen@redhat.com> - 2.14.2-4
- Explicitly list the applets to be included

* Tue Jun  6 2006 Matthias Clasen <mclasen@redhat.com> - 2.14.2-3
- Rebuild

* Sun May 28 2006 Matthias Clasen <mclasen@redhat.com> - 2.14.2-2
- Update to 2.14.2

* Mon Apr 10 2006 Matthias Clasen <mclasen@redhat.com> - 2.14.1-2
- Update to 2.14.1
- Update patches

* Tue Mar 28 2006 Ray Strode <rstrode@redhat.com> - 2.14.0-3
- apply patch

 * Tue Mar 28 2006 Ray Strode <rstrode@redhat.com> - 2.14.0-2
- export symbols in gswitchit applet so applet plugins 
  work (bug 187168)

* Sun Mar 12 2006 Ray Strode <rstrode@redhat.com> - 2.14.0-1
- update to 2.14.0

* Thu Mar  9 2006 Ray Strode <rstrode@redhat.com> - 2.13.90-8
- s/divemount/drivemount/

* Thu Mar  9 2006 Ray Strode <rstrode@redhat.com> - 2.13.90-7
- remove some bad trailing spaces introduced in 2.13.90-6

* Wed Mar  8 2006 Ray Strode <rstrode@redhat.com> - 2.13.90-6
- improve package installation time by running gconftool-2 only
  once in %%post

* Wed Mar  8 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.90-5
- Fix a crash in the mixer applet (#184285, #182957)

* Tue Mar 7 2006 Ray Strode <rstrode@redhat.com> - 2.13.90-4
- ref some objects given to us by gstreamer

* Wed Mar 1 2006 Ray Strode <rstrode@redhat.com> - 2.13.90-3
- More stock ticker fun (bug 179528)

* Tue Feb 28 2006 Karsten Hopp <karsten@redhat.de> 2.13.90-2
- BuildRequires: which

* Sun Feb 26 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.90-1
- Update to 2.13.90

* Thu Feb 23 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.4-4
- Make the stock ticker work with gcc 4.1 (#179528)

* Sat Feb 18 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.4-3
- Remove a warning from the stock ticker applet

* Wed Feb 15 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.4-2
- Build with --enable-mini-commander

* Sun Feb 12 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.4-1
- Update to 2.13.4

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1:2.13.3-4.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1:2.13.3-4.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Feb 01 2006 Matthias Clasen <mclasen@redhat.com> 2.13.3-4
- Fix an overflow in the weather applet

* Tue Jan 31 2006 Matthias Clasen <mclasen@redhat.com> 2.13.3-3
- Update gstreamer requires

* Tue Jan 31 2006 Matthias Clasen <mclasen@redhat.com> 2.13.3-1
- Update to 2.13.3

* Wed Jan 18 2006 Matthias Clasen <mclasen@redhat.com> 2.13.2-2
- BuildRequire gnome-doc-utils

* Tue Jan 17 2006 Matthias Clasen <mclasen@redhat.com> 2.13.2-1
- Update to 2.13.2

* Fri Jan 05 2006 John (J5) Palmieri <johnp@redhat.com> 2.13.1-4
- GStreamer has been split into gstreamer08 and gstreamer (0.10) packages
  we need gstreamer08 for now

* Wed Jan 04 2006 Matthias Clasen <mclasen@redhat.com> 2.13.1-3
- Rebuild against new libgtop

* Fri Dec 16 2005 Matthias Clasen <mclasen@redhat.com> 2.13.1-2
- Rebuild against new libgtop

* Thu Dec 15 2005 Matthias Clasen <mclasen@redhat.com> 2.13.1-1
- Update to 2.13.1
- Update file lists

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com> 2.12.2-1.1
- rebuilt

* Fri Dec  2 2005 Matthias Clasen <mclasen@redhat.com> 2.12.2-1
- Update to 2.12.2

* Thu Dec 01 2005 John (J5) Palmieri <johnp@redhat.com> - 1:2.12.1-4
- rebuild for new dbus

* Mon Nov 14 2005 Ray Strode <rstrode@redhat.com> - 1:2.12.1-3
- build correct command string for cpufreq-selection. Fix
  spotted by Ingo Schaefer <ingo@ingo-shaefer.de> (Bug 164147).

* Thu Oct 20 2005 Ray Strode <rstrode@redhat.com> - 1:2.12.1-2
- require libgtop2 >= 2.12.0, bug 171285

* Thu Oct  6 2005 Matthias Clasen <mclasen@redhat.com> - 1:2.12.1-1
- Update to 2.12.1

* Thu Sep  8 2005 Matthias Clasen <mclasen@redhat.com> - 1:2.12.0-1
- Update to 2.12.0, drop upstreamed patches

* Wed Aug 17 2005 Jeremy Katz <katzj@redhat.com> - 1:2.11.91-5
- fun with auto* to really get the build working

* Wed Aug 17 2005 Jeremy Katz <katzj@redhat.com> - 1:2.11.91-4
- patch from upstream cvs to fix build with new pango (bgo #313368)

* Tue Aug 16 2005 Warren Togami <wtogami@redhat.com> - 1:2.11.91-3
- rebuild for new cairo

* Thu Aug 11 2005 Ray Strode <rstrode@redhat.com> 1:2.11.91-2
- disable scrollkeeper database updates
- add omf files to package list
- require gnome-utils for gucharmap/charpick integration

* Wed Aug 10 2005 Ray Strode <rstrode@redhat.com> 1:2.11.91-1
- New upstream version

* Fri Aug  5 2005 Matthias Clasen <mclasen@redhat.com> 1:2.11.2-2
- New upstream version

* Tue Jul 12 2005 Matthias Clasen <mclasen@redhat.com> 1:2.11.1-2
- Rebuilt

* Fri Jul  8 2005 Matthias Clasen <mclasen@redhat.com> 1:2.11.1-1
- Update to 2.11.1

* Fri Jul  1 2005 Mark McLoughlin <markmc@redhat.com> 1:2.10.1-10
- Backport from HEAD patch to remove lame warning dialog when the
  mixer applet can't find a mixer device

* Fri May 27 2005 Bill Nottingham <notting@redhat.com> 1:2.10.1-9
- remove setuid bit from cpufreq-selector, usermode-ify it

* Thu May 19 2005 Ray Strode <rstrode@redhat.com> 1:2.10.1-8
- Install modemlights gconf schema (bug 157764).

* Fri May 13 2005 Ray Strode <rstrode@redhat.com> 1:2.10.1-7
- Don't disable battstat on some platforms (bug 157683).

* Wed Apr 27 2005 Jeremy Katz <katzj@redhat.com> - 1:2.10.1-6
- silence %%post

* Tue Apr 26 2005 Ray Strode <rstrode@redhat.com> 1:2.10.1-5
- Add back old patch to change ppp connect/disconnect commands
  (bug 147675)

* Wed Apr 20 2005 Ray Strode <rstrode@redhat.com> 1:2.10.1-4
- Use builtin copy of apmlib instead of adding an external dependency
  (bug 155125)

* Thu Apr 14 2005 Ray Strode <rstrode@redhat.com> 1:2.10.1-3
- Apply patch from Jan de Groot <jan@jgc.homeip.net> to
  silence scrollkeeper noise (bug 152236)

* Thu Apr 14 2005 Ray Strode <rstrode@redhat.com> 1:2.10.1-2
- Add Obsoletes: gnome-cpufreq-applet (bug 154853)

* Thu Apr  7 2005 Ray Strode <rstrode@redhat.com> 1:2.10.1-1
- update to 2.10.1
- actually build the old modemlights that were added in 2.10.0-4

* Tue Apr  5 2005 Ray Strode <rstrode@redhat.com> 1:2.10.0-5
- Don't use %postun -p optimization now that we do more than
  just /sbin/ldconfig in %postun (bug 152236)

* Mon Apr  4 2005 Ray Strode <rstrode@redhat.com> 1:2.10.0-4
- use old modemlights applet that doesn't depend on gnome-system-tools

* Mon Mar 28 2005 Christopher Aillon <caillon@redhat.com>  2.10.0-3
- rebuilt

* Fri Mar 25 2005 Christopher Aillon <caillon@redhat.com> 2.10.0-2
- Update the GTK+ theme icon cache on (un)install

* Wed Mar 16 2005 Matthias Clasen <mclasen@redhat.com> - 2.10.0-1
- Rebuild against new libwnck
- Update to 2.10.0
- Drop upstreamed patch

* Wed Mar  2 2005 Mark McLoughlin <markmc@redhat.com> 1:2.9.6-2
- Stop libgswitchit using -Werror
- Rebuild with gcc4

* Wed Feb  9 2005 Matthias Clasen <mclasen@redhat.com> - 2.9.6-1
- Update to 2.9.6

* Wed Feb  9 2005 Mark McLoughlin <markmc@redhat.com> 2.9.5-4
- Add patch for mixer crash - #147282.
  Thanks Neil Paris for tracking down.

* Fri Feb  4 2005 Mark McLoughlin <markmc@redhat.com> - 2.9.5-2
- Fix schemas list (#146880, #147011)

* Mon Jan 31 2005 Matthias Clasen <mclasen@redhat.com> - 2.9.5-1
- Update to 2.9.5

* Sun Jan 30 2005 Florian La Roche <laroche@redhat.com>
- rebuild against new libs

* Thu Oct  7 2004 Mark McLoughlin <markmc@redhat.com> - 2.8.0-5
- Add patch to fix crash with gweather preferences (#134572)

* Thu Oct  7 2004 Mark McLoughlin <markmc@redhat.com> - 2.8.0-4
- Fix mixer icons bugs - #134224 and #134773

* Wed Sep 29 2004 Mark McLoughlin <markmc@redhat.com> 2.8.0-3
- Add new icons from upstream

* Tue Sep 21 2004 Mark McLoughlin <markmc@redhat.com> 2.8.0-2
- Remove the wireless applet and add patch to use the netstatus
  applet for backwards compat. bug #131652.

* Tue Sep 21 2004 Mark McLoughlin <markmc@redhat.com> 2.8.0-1
- Update to 2.8.0

* Wed Sep  1 2004 Mark McLoughlin <markmc@redhat.com> 2.7.3-2
- Rebuild

* Mon Aug 30 2004 Mark McLoughlin <markmc@redhat.com> 2.7.3-1
- Update to 2.7.3

* Fri Aug 27 2004 Mark McLoughlin <markmc@redhat.com> 2.7.2-2
- Run mc-install-default-macros in %post
- Fixed small-volume patch from Nathan Fredrickson <nathan@silverorange.com>

* Wed Aug 18 2004 Mark McLoughlin <markmc@redhat.com> 2.7.2-1
- Update to 2.7.2

* Wed Aug 11 2004 Mark McLoughlin <markmc@redhat.com> 2.7.1-2
- Remove reference to cdplayer.schemas which has been removed (bug #129490)

* Thu Aug  5 2004 Mark McLoughlin <markmc@redhat.com> 2.7.1-1
- Update to 2.7.1
- Remove battstat-arg patch - upstream now

* Wed Jul 21 2004 Mark McLoughlin <markmc@redhat.com> 1:2.6.2.1-2
- rebuild

* Wed Jul 21 2004 Mark McLoughlin <markmc@redhat.com> 1:2.6.2.1-1
- Update to 2.6.2.1
- Re-do the way we decide whether to build the battstat applet.
  Should fix 122379
- Remove some patches that have gone upstream

* Tue Jun 22 2004 Mark McLoughlin <markmc@redhat.com> 1:2.6.0-8
- Fix typo with apmd requires

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt
- Remove ifarch'd buildrequires on apmd

* Thu May 05 2004 Nils Philippsen <nphilipp@redhat.com> 1:2.6.0-5
- fix #120354 (mixer applet forgets channel settings)

* Thu Apr 29 2004 Karsten Hopp <karsten@redhat.de> 1:2.6.0-4
- fix error during update on s390(x) due to missing battery applet

* Mon Apr 19 2004 Mark McLoughlin <markmc@redhat.com> 1:2.6.0-3
- Build battstat on ppc too

* Wed Apr 14 2004 Alex Larsson <alexl@redhat.com> 1:2.6.0-2
- Add gswitchit.schemas to SCHEMAS

* Wed Mar 31 2004 Mark McLoughlin <markmc@redhat.com> 2.6.0-1
- Update to 2.6.0

* Tue Mar 16 2004 Jeremy Katz <katzj@redhat.com> 1:2.5.7-4
- rebuild for new gstreamer

* Thu Mar 11 2004 Mark McLoughlin <markmc@redhat.com> 2.5.7-3
- Update Requires/BuildRequires to include gstreamer-plugins

* Thu Mar 11 2004 Mark McLoughlin <markmc@redhat.com> 2.5.7-2
- Rebuild

* Wed Mar 10 2004 Mark McLoughlin <markmc@redhat.com> 2.5.7-1
- Update to 2.5.7
- Add gnome-panel-devel BuildRequires

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 26 2004 Alexander Larsson <alexl@redhat.com> 1:2.5.6-1
- update to 2..5.6

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jan 27 2004 Alexander Larsson <alexl@redhat.com> 1:2.5.4-1
- update to 2.5.4

* Fri Oct  3 2003 Alexander Larsson <alexl@redhat.com> 1:2.4.1-1
- 2.4.1

* Wed Aug 27 2003 Alexander Larsson <alexl@redhat.com> 1:2.3.7-1
- Add missing schemas to post (fixes #102710)
- Update to 2.3.7
- Add ifnarch apmd buildreq

* Mon Aug 18 2003 Alexander Larsson <alexl@redhat.com> 1:2.3.6-1
- update for gnome 2.3

* Mon Jul 28 2003 Havoc Pennington <hp@redhat.com> 1:2.2.2-3
- require the newer libgtop2 so it rebuilds vs. correct soname

* Fri Jul 18 2003  <timp@redhat.com> 1:2.2.2-2
- rebuild against new libgtop

* Mon Jul  7 2003 Havoc Pennington <hp@redhat.com> 1:2.2.2-1
- 2.2.2

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb 24 2003 Havoc Pennington <hp@redhat.com> 1:2.2.0-8
- change the volume applet size fix patch to work

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- debuginfo rebuild

* Sat Feb 22 2003 Havoc Pennington <hp@redhat.com> 1:2.2.0-6
- clamp size of volume applet to 24

* Thu Feb 20 2003 Havoc Pennington <hp@redhat.com> 1:2.2.0-5
- rebuild with datadir/wireless-applet and datadir/gen_util, 
  someone got overzealous deleting unpackaged files instead 
  of packaging them. #82279

* Fri Feb 14 2003 Jonathan Blandford <jrb@redhat.com> 1:2.2.0-4
- rebuild to get new gnome-panel

* Fri Feb 14 2003 Havoc Pennington <hp@redhat.com> 1:2.2.0-3
- nuke buildreq Xft

* Mon Feb 10 2003 Bill Nottingham <notting@redhat.com> 1:2.2.0-2
- fix path in modemlights patch

* Wed Feb  5 2003 Havoc Pennington <hp@redhat.com> 1:2.2.0-1
- 2.2.0

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Dec 23 2002 Jeremy Katz <katzj@redhat.com> 1:2.1.3-1
- update to 2.1.3

* Tue Dec  3 2002 Havoc Pennington <hp@redhat.com>
- require newer panel, libgtop2
- require newer libgnomeui, libbonoboui

* Mon Dec  2 2002 Tim Powers <timp@redhat.com> 1:2.1.1-2
- remove unpackaged files from the buildroot

* Mon Dec  2 2002 Tim Powers <timp@redhat.com> 1:2.1.1-1
- update to 2.1.1
- add x86_64 to no_apm_archs

* Tue Aug 27 2002 Owen Taylor <otaylor@redhat.com>
- Register the cd player per-device (#72645).

* Fri Aug 23 2002 Owen Taylor <otaylor@redhat.com>
- Keep the CD device closed except when actually accessing it
  (bugzilla.gnome.org 91512)
- Register CD player so we can start only one CD player
  for display from magicdev. (#39208)

* Tue Aug 13 2002 Havoc Pennington <hp@redhat.com>
- add ppc ppc64 to no_apm_arches #67564

* Wed Jul 31 2002 Nalin Dahyabhai <nalin@redhat.com>
- include applets in libexecdir

* Mon Jul 29 2002 Havoc Pennington <hp@redhat.com>
- 2.0.1, and build with new gail
- 69971 (use correct ppp on/off commands)
- remove scrollkeeper dtd-compliance patch, 
  fixed upstream apparently (patch doesn't apply anymore)

* Wed Jun 26 2002 Owen Taylor <otaylor@redhat.com>
- Fix %%find_lang

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- rebuild with new libs
- remove temporary hack for too-old libgnomeui
- add /etc/sound stuff to file list

* Thu Jun 13 2002 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in different environment

* Thu Jun 13 2002 Nalin Dahyabhai <nalin@redhat.com>
- fix a scrollkeeper validation bug

* Wed Jun 12 2002 Havoc Pennington <hp@redhat.com>
- remove panel-menu.schemas from the list of schemas.
- 2.0.0

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- 1.105.0

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- 1.103.0

* Fri May  3 2002 Havoc Pennington <hp@redhat.com>
- 1.100.0

* Fri Apr 19 2002 Havoc Pennington <hp@redhat.com>
- GNOME 2 version

* Mon Apr 15 2002 Havoc Pennington <hp@redhat.com>
- merge translations

* Thu Apr 11 2002 Havoc Pennington <hp@redhat.com>
- default battstat applet to vertical mode

* Thu Mar 21 2002 Havoc Pennington <hp@redhat.com>
- add patch to adapt to yahoo web site changes, #61561

* Tue Mar  5 2002 Havoc Pennington <hp@redhat.com>
- remove requires libghttp4

* Mon Mar  4 2002 Havoc Pennington <hp@redhat.com>
- no apm on sparc, #60538
- obsolete battstat_applet for Ximian compat, #51427
- use ifup/ifdown ppp0 instead of pppon/pppoff for default 
  ppp command in modemlights, #54199

* Tue Feb 12 2002 Havoc Pennington <hp@redhat.com>
- 1.4.0.5, cross fingers
- add gconf-devel buildreq, though this is dubious as hell
  (pulled in by gtik using gnome-vfs, but if gtik actually
   accessed gconf it would fail due to gnorba conflict)
- patch totally busted charpick Makefile.am cflags override

* Thu Jan 24 2002 Havoc Pennington <hp@redhat.com>
- automake14

* Thu Aug 30 2001 Alex Larsson <alexl@redhat.com>
- Removed annoying broken battery full dialog #52861
- Also fix mixer applet for USB sound #52603

* Mon Aug 27 2001 Havoc Pennington <hp@redhat.com>
- Add po files from sources.redhat.com

* Wed Aug 15 2001 Alexander Larsson <alexl@redhat.com>
- Own /usr/share/gnome/gkb and /usr/share/gnome/help/*

* Wed Jul 18 2001 Havoc Pennington <hp@redhat.com>
- add some build requires
- remove ifarch build requires, replace with check in setup

* Wed Jul 11 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- sanitize specfile to RH style
- do not require apmd for s390 s390x

* Mon Jul  9 2001 Jonathan Blandford <jrb@redhat.com>
- new version

* Sun Jul 08 2001 Havoc Pennington <hp@redhat.com>
- remove extra .desktop file for battstat

* Sat Jul 07 2001 Havoc Pennington <hp@redhat.com>
- add battstat applet
- rearrange .desktop files for applets

* Tue Jun 12 2001 Than Ngo <than@redhat.com>
- fix isdn stuff to build against kernel-2.4.x
- use %%{_tmppath}

* Mon Jun 11 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- allow newer gettext versions

* Thu Mar 15 2001 Havoc Pennington <hp@redhat.com>
- translations

* Mon Feb 12 2001 Akira TAGOH <tagoh@redhat.com>
- Updated Japanese translation (ja.po, .desktop).
  Note: Please remove Source[23]: when release the next upstream version.

* Fri Jan 19 2001 Havoc Pennington <hp@redhat.com>
- 1.2.4

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Update Epoch

* Wed Jul 19 2000 Jonathan Blandford <jrb@redhat.com>
- Change slashapp to gnome-news app.

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 19 2000 Owen Taylor <otaylor@redhat.com
- %%defattr fixes
- Remove Docdir:

* Thu Jun 15 2000 Havoc Pennington <hp@redhat.com>
- 1.2.1
- use %%makeinstall
